%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 0.2.3
%define release	1mdk

%define realname kadm5
%define modname kadm5
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A12_%{modname}.ini

%define mod_lib "-I%{_includedir}/krb5 -lk5crypto -lkrb5 -lgssrpc -lkadm5clnt"
%define mod_def "-DHAVE_DLFCN_H -DCOMPILE_DL_KADM5"

Summary:	Remote access to Kerberos Administration Servers for PHP4
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pear.php.net/package-info.php?pacid=212
License:	LGPL
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
#Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
Requires:	php-cli
Requires:	krb5-libs
BuildRequires:	php%{libversion}-devel
BuildRequires:	krb5-devel
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
This package allows you to access Kerberos V administration
servers. You can create, modify, and delete Kerberos V principals
and policies.

%prep

%setup -q -n %{modname}-%{rversion}

%build

#phpize
#%%configure --enable-%{modname}=shared
#%%make
#mv modules/*.so .

%{phpsource}/buildext %{modname} %{modname}.c %{mod_lib} %{mod_def}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc doc examples tests CREDITS README README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.2.3-1mdk
- built for php 4.3.4
- drop work around for the borked libkrb51-devel-1.3-2mdk package

* Fri Aug 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.2.3-1mdk
- built for php 4.3.3
- work around the borked libkrb51-devel-1.3-2mdk package
- misc spec file fixes

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.2.3-1mdk
- initial cooker contrib

